Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class ServiceViewer

    java.lang.Object
      com.sun.javatest.tool.ToolDialog
          com.sun.javatest.exec.ServiceViewer

All Implemented Interfaces:
  Interview.Observer

    public class ServiceViewer

extends ToolDialog
implements Interview.Observer

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.tool.ToolDialog
`ToolDialog.Restorer`

Field Summary

Fields inherited from class com.sun.javatest.tool.ToolDialog
`DIALOG, FRAME, FREE, MODAL, MODAL_APPLICATION, MODAL_DOCUMENT, MODAL_TOOLKIT, parent, tool, uif`

Constructor Summary
`ServiceViewer(com.sun.javatest.services.ServiceManager mgr, UIFactory uif, java.awt.Component parent)`

Method Summary
`void` | `currentQuestionChanged(Question q)` Invoked when the current question in the interview has been changed.
`protected void` | `initGUI()` Initialize the GUI, by calling the various setXXX methods.
`void` | `pathUpdated()` Invoked when the set of questions in the current path has been changed.

Methods inherited from class com.sun.javatest.tool.ToolDialog
`disableDefaultDisposeHandler, dispose, getBody, getButtons, getDefaultButton, getDialogParent, getJMenuBar, getLocation, getRestorer, getSize, getTitle, getTool, isShowing, isVisible, pack, setBody, setButtons, setComponentListener, setDefaultCloseOperation, setHelp, setI18NTitle, setI18NTitle, setI18NTitle, setJMenuBar, setLocation, setLocation, setRestorer, setSize, setSize, setTool, setTool, setVisible, windowClosingAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceViewer

    public ServiceViewer(com.sun.javatest.services.ServiceManager mgr,
                         UIFactory uif,
                         java.awt.Component parent)

Method Detail

### initGUI

    protected void initGUI()

  Description copied from class: `ToolDialog`
  Initialize the GUI, by calling the various setXXX methods.

  Specified by:
    `initGUI` in class `ToolDialog`

### currentQuestionChanged

    public void currentQuestionChanged(Question q)

  Description copied from interface: `Interview.Observer`
  Invoked when the current question in the interview has been changed.

  Specified by:
    `currentQuestionChanged` in interface `Interview.Observer`
  Parameters:
    `q` - the new current question

### pathUpdated

    public void pathUpdated()

  Description copied from interface: `Interview.Observer`
  Invoked when the set of questions in the current path has been changed. This is normally because the response to one of the questions on the path has been changed, thereby causing a change to its successor questions.

  Specified by:
    `pathUpdated` in interface `Interview.Observer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.